Package org.apache.axiom.mime

## Class Header

- java.lang.Object
- - org.apache.axiom.mime.Header

-     public final class Header
      extends Object

  A MIME header.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONTENT_ID` | The name of the `Content-ID` header.
    `static String` | `CONTENT_TRANSFER_ENCODING` | The name of the `Content-Transfer-Encoding` header.
    `static String` | `CONTENT_TYPE` | The name of the `Content-Type` header.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Header​(String name, String value)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Get the name of this header.
    `String` | `getValue()` | Get the value of this header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      The name of the `Content-Type` header.
      See Also:
        Constant Field Values

    - #### CONTENT_ID

          public static final String CONTENT_ID

      The name of the `Content-ID` header.
      See Also:
        Constant Field Values

    - #### CONTENT_TRANSFER_ENCODING

          public static final String CONTENT_TRANSFER_ENCODING

      The name of the `Content-Transfer-Encoding` header.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Header

          public Header​(String name,
                        String value)

      Constructor.
      Parameters:
        `name` - the name of the header
        `value` - the value of the header

  - ### Method Detail

    - #### getName

          public String getName()

      Get the name of this header.
      Returns:
        the name of this header

    - #### getValue

          public String getValue()

      Get the value of this header.
      Returns:
        the value of this header